package com.jscape.inet.sftp.protocol.v4.messages;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class NameEntry {

    public final String filename;
    public final FileAttributes attributes;

    public NameEntry(String filename, FileAttributes attributes) {
        assertNotNull(filename);
        this.filename = filename;

        assertNotNull(attributes);
        this.attributes = attributes;
    }

    @Override
    public String toString() {
        return "NameEntry {"
               + "filename='" + this.filename + '\''
               + ", attributes=" + this.attributes
               + '}';
    }
}
